#!/bin/sh -e
attype=$1
value="$2"

# Find type of values for this attribute type
vtype="`cleartool lstype -long attype:$attype 2>/dev/null |
       grep 'value type' |
       sed 's/  value type: //' |
       sed 's/,.*//'`"
if [ $? != 0 ]; then
    exit $?
fi

# If string value, make sure it has double quotes
if [ "$vtype" = "string" ]; then
    if echo "$value" | grep '^"' >/dev/null 2>&1; then
	:
    else
	value="\"$value\""
    fi
fi

echo "$value"
